
{% extends "base.twig" %}

{% block head_content %}
    <title>DATABASE</title>
{% endblock %}


{% block container %}

    <div class="container">
        <h1>CRUD DE ESTUDIANTES</h1>
        <div class="div">
        </div>
        <a href="/api/new">
            <button class="btn btn-success mt-4 mb-4">Add a new Student</button>
        </a>

        <table class="table table-striped">
            <thead>
                <tr>
                <th scope="col">#</th>
                <th scope="col">First name</th>
                <th scope="col">Last name</th>
                <th scope="col">Career</th>
                <th scope="col">Student Code</th>
                <th scope="col">Semester</th>
                <th></th>
                </tr>
            </thead>
            <tbody>

                {% for student in students %}
                    <tr>
                        <th scope="row"> {{  student.id }} </th>
                        <td> {{  student.first_name }} </td>
                        <td> {{  student.last_name }} </td>
                        <td> {{  student.career }} </td>
                        <td> {{  student.student_code }} </td>
                        <td> {{  student.semester }} </td>
                        <td> 
                                <a href=""><button class="btn btn-primary mr-5"> Update </button></a>
                                <a href="/api/delete?id={{ student.id }}"><button class="btn btn-danger"> Delete </button></a>
                        </td>
                    </tr>
                    
                {% endfor %}
            </tbody>
        </table>
    </div>

{% endblock %}




